at.chipkarte.client.das.soap

## Interface IDasService

-     public interface IDasService

  Dieses Service stellt die Funktionalitäten des Datenabfrageservices (DAS) Version 7 zur Verfügung.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IEKOEconomicGrouping` | `retrieveIEKOEconomicGrouping(String dialogId, String pharmaNumber)` Diese Funktion liefert einen ökonomischen Vergleich von Arzneispezialitäten anhand einer übergebenen Pharmanummer zurück.

- - ### Method Detail

    - #### retrieveIEKOEconomicGrouping

          IEKOEconomicGrouping retrieveIEKOEconomicGrouping(String dialogId,
                                                            String pharmaNumber)
                                                     throws DialogException,
                                                            AccessException,
                                                            ServiceException,
                                                            DasInvalidParameterException,
                                                            DasException

      Diese Funktion liefert einen ökonomischen Vergleich von Arzneispezialitäten anhand einer übergebenen Pharmanummer zurück.

      Voraussetzungen:

      - Der Dialog wurde erfolgreich aufgebaut. Die Funktion `setDialogAddress` wurde erfolgreich ausgeführt.
      - Online-Status (siehe Online-/Offline-Status).
      - Zugriff auf DAS (siehe `DAS_CORE`).

      Laufzeitgruppe: Mittel

      Parameters:
        `dialogId` - Dialog ID eines aufgebauten Dialogs.
        `pharmaNumber` - Pharmanummer des Medikaments.
        Format: 7-stellig, numerisch.
        Die Pharmanummer muss den Regeln für Pharmanummern (Prüfziffer) entsprechen.
      Returns:
        Ergebnis des ökonomischen Vergleichs
      Throws:
        `AccessException` - `MISSING_DAS_CORE`
        `DialogException` - `DIALOG_INVALID`, `ORDINATION_ID_NOTSET`, `TOO_MANY_OPEN_DIALOGS_FOR_OR_CLI`, `DIALOG_UNKNOWN`, `ORDINATION_ID_UNKNOWN`, `CORRUPT_DIALOGID`, `DIALOG_OFFLINE_MODUS_CHANGED_ONLINE`, `DIALOG_CANCELED`, `DIALOG_TIMEOUT`, `INVALID_TRANSACTION_ID`, `MULTIPLE_DIALOGID`, `DIALOG_CURRENTLY_USED`
        `ServiceException` - `INTERNAL_ERROR`, `INCOMPATIBILITY_EXCEPTION`
        `DasInvalidParameterException` - `IEKO_PHARMA_NUMBER_NOT_SET`, `IEKO_PHARMA_NUMBER_INVALID`
        `DasException` - `IEKO_NO_COMPARISON_FOUND`